/*
 Navicat Premium Data Transfer

 Source Server         : PostgreSql本地
 Source Server Type    : PostgreSQL
 Source Server Version : 160004
 Source Host           : localhost:5432
 Source Catalog        : taais
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 160004
 File Encoding         : 65001

 Date: 30/08/2024 13:24:53
*/


-- ----------------------------
-- Table structure for video2image
-- ----------------------------
DROP TABLE IF EXISTS "public"."video2image";
CREATE TABLE "public"."video2image" (
  "id" "pg_catalog"."int8" NOT NULL DEFAULT nextval('demo_video2image_id_seq'::regclass),
  "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "out_path" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "start_time" "pg_catalog"."timestamp",
  "end_time" "pg_catalog"."timestamp",
  "cost_second" "pg_catalog"."int8",
  "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "create_by" "pg_catalog"."int8",
  "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "update_by" "pg_catalog"."int8",
  "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "del_flag" "pg_catalog"."int2" NOT NULL DEFAULT '0'::smallint,
  "path" "pg_catalog"."text" COLLATE "pg_catalog"."default" NOT NULL,
  "fps" "pg_catalog"."int8" NOT NULL DEFAULT 1,
  "tenant_id" "pg_catalog"."int8",
  "version" "pg_catalog"."int4",
  "zip_file_path" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "url" "pg_catalog"."varchar" COLLATE "pg_catalog"."default"
)
;
COMMENT ON COLUMN "public"."video2image"."id" IS '主键ID';
COMMENT ON COLUMN "public"."video2image"."name" IS '视频名称';
COMMENT ON COLUMN "public"."video2image"."status" IS '任务状态 0未开始 1进行中 2已结束';
COMMENT ON COLUMN "public"."video2image"."out_path" IS '切割好的图片的保存路径';
COMMENT ON COLUMN "public"."video2image"."start_time" IS '开始时间';
COMMENT ON COLUMN "public"."video2image"."end_time" IS '结束时间';
COMMENT ON COLUMN "public"."video2image"."cost_second" IS '耗时';
COMMENT ON COLUMN "public"."video2image"."log" IS '日志';
COMMENT ON COLUMN "public"."video2image"."create_by" IS '创建人';
COMMENT ON COLUMN "public"."video2image"."create_time" IS '创建时间';
COMMENT ON COLUMN "public"."video2image"."update_by" IS '更新人';
COMMENT ON COLUMN "public"."video2image"."update_time" IS '更新时间';
COMMENT ON COLUMN "public"."video2image"."remarks" IS '备注';
COMMENT ON COLUMN "public"."video2image"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';
COMMENT ON COLUMN "public"."video2image"."path" IS '视频本身保存路径 / url';
COMMENT ON COLUMN "public"."video2image"."fps" IS '切割帧率，默认1';
COMMENT ON COLUMN "public"."video2image"."tenant_id" IS '租户编码';
COMMENT ON COLUMN "public"."video2image"."version" IS '乐观锁';
COMMENT ON COLUMN "public"."video2image"."zip_file_path" IS '生成的zip文件位置';
COMMENT ON COLUMN "public"."video2image"."url" IS '获取视频文件的url';
COMMENT ON TABLE "public"."video2image" IS '视频转图片表';

-- ----------------------------
-- Primary Key structure for table video2image
-- ----------------------------
ALTER TABLE "public"."video2image" ADD CONSTRAINT "video2image_pkey" PRIMARY KEY ("id");
